#include <stdio.h>
#include <stdlib.h>
int main(){
    int n;
    scanf("%d",&n);
    int a[n];
    float p[n];
    double s=0,smax=0;
    for(int i=0;i<n;i++)
        scanf("%d%f",&a[i],&p[i]);
    for(int i=0;i<n;i++){
        for(int j=0;j<n;j++)
            if(p[i]<=p[j]){
                s=s+a[j]*p[i]/100;;
            }
        if(s>smax){
            smax=s;
        }
        s=0;
    }
    printf("%lf",smax);
    return 0;
}